package com.yc.ship.module.trade.enums;


import com.yc.ship.framework.common.core.IntArrayValuable;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;

/**
 * 支付账号类型
 *
 */
@RequiredArgsConstructor
@Getter
public enum PayAccountTypeEnum implements IntArrayValuable {

    OTC(0, "旅行社"),
    OTA(1, "分销商"),
    MEMBER(2, "会员");


    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(PayAccountTypeEnum::getType).toArray();

    /**
     * 状态值
     */
    private final Integer type;
    /**
     * 状态名
     */
    private final String name;

    @Override
    public int[] array() {
        return ARRAYS;
    }

}
